Bug 23363 - [a2ps] Broken build with xemacs
Summary: [a2ps] Broken build with xemacs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-05 00:03 UTC by Enrico Scholz
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-05 12:41:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-01-05 00:03:29 UTC
[ This bug belongs to a2ps, but Bugzilla doesn't know this component as
part of RH Beta 1. So I am entering it here. ]

a2ps tries to put some elisp-files into the directory determined by the
AM_PATH_LISPDIR automake macro.

When having installed xemacs but not emacs, this path is not
`%{_datadir}/emacs/site-lisp' like assumed in the %files section of the
.spec file and the build will fail.

A solution would be to call `make install' with
lispdir=%{_datadir}/emacs/site-lisp' explicitly or to provide different
xemacs/emacs subpackages.

Comment 1 Trond Eivind Glomsrxd 2001-01-05 12:41:43 UTC
I'll fix this by specifying that it should use GNU Emacs.

Comment 2 Trond Eivind Glomsrxd 2001-01-08 17:30:14 UTC
OK, build now requires /usr/bin/emacs ( a2ps-4.13b-5 )


Note You need to log in before you can comment on or make changes to this bug.